<?
if ($img_x==$img_y)
{
$dstW=100;
$dstH=100;
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=100;
$dstH=ceil($dstW/$prop);
}else{
$prop=$img_y/$img_x;
$dstH=100;
$dstW=ceil($dstH/$prop);
}
?>
